Bug 1738022 - libevent depends on Python 2
Summary: libevent depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libevent
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:33 UTC by Lumír Balhar
Modified: 2019-09-03 01:03 UTC (History)
3 users (show)

Fixed In Version: libevent-2.1.8-7.fc31 libevent-2.1.8-7.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-16 08:15:16 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:33:02 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for libevent's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to libevent.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:58:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:48:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-14 09:09:34 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 4 Ondřej Lysoněk 2019-08-14 11:52:17 UTC
(In reply to Lumír Balhar from comment #0)
> - What is the reason for the Python2 dependency? (Is it software written in
> Python, or does it just provide Python bindings, or use Python in the build
> system or test runner?) 

The only reason seems to be the script /usr/bin/event_rpcgen.py which contains python2 in the shebang.

> - What are the upstream/community plans/timelines regarding Python 3?

It's already resolved upstrem - the script has been ported to Python 3 in the 2.1.9 release.

> - What is the guidance for porting to Python 3? (Assuming that there is
> someone who generally knows how to port to Python 3, but doesn't know
> anything about the particular package, what are the next steps to take?)

Probably the only thing that needs to be done is to update libevent to a newer upstream release. I'll do that.

Comment 5 Ondřej Lysoněk 2019-08-15 10:36:28 UTC
I've decided to patch the python scripts instead of rebasing, because newer releases contain ABI/soname changes. I'll rebase in Rawhide only.

Comment 6 Lumír Balhar 2019-08-16 06:47:03 UTC
The last build seems to be python-3-only so this bug can be closed.

Comment 7 Ondřej Lysoněk 2019-08-16 08:15:16 UTC
Thanks for checking.

Comment 8 Fedora Update System 2019-08-16 12:07:26 UTC
FEDORA-2019-ee3442fd65 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ee3442fd65

Comment 9 Fedora Update System 2019-08-17 01:27:39 UTC
libevent-2.1.8-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ee3442fd65

Comment 10 Fedora Update System 2019-09-03 01:03:32 UTC
libevent-2.1.8-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.